# riscv::register::sstatus - Rust
sstatus register
Keywords: rust, rustlang, rust-lang, sstatus

# Module riscv::register::sstatus

source · [−]
Expand description

sstatus register

## Re-exports

`pub use super::mstatus::FS;`

## Structs

Sstatus

Supervisor Status Register

## Enums

SPP

Supervisor Previous Privilege Mode

## Functions

clear_mxr ⚠

Make eXecutable Readable

clear_sie ⚠

Supervisor Interrupt Enable

clear_sum ⚠

Permit Supervisor User Memory access

clear_uie ⚠

User Interrupt Enable

read

Reads the CSR

set_fs ⚠

The status of the floating-point unit

set_mxr ⚠

Make eXecutable Readable

set_sie ⚠

Supervisor Interrupt Enable

set_spie ⚠

Supervisor Previous Interrupt Enable

set_spp ⚠

Supervisor Previous Privilege Mode

set_sum ⚠

Permit Supervisor User Memory access

set_uie ⚠

User Interrupt Enable

set_upie ⚠

User Previous Interrupt Enable